ingres_query
ingres_rollback
Ingres Functions
PHP Manual

# ingres_result_seek

(PECL ingres >= 2.1.0)

ingres_result_seek — Set the row position before fetching data

### Description

boolean ingres_result_seek ( resource `$result` , integer `$position` )

This function is used to position the cursor associated with the result resource before issuing a fetch. If ingres.array_index_start is set to 0 then the first row is 0 else it is 1. ingres_result_seek() can be used only with queries that make use of scrollable cursors. It cannot be used with ingres_unbuffered_query().

> Note: Related Configurations
> See also the ingres.scrollable and ingres.array_index_start directives in Runtime Configuration.

### Parameters

`result`

  The result identifier for a query

`position`

  The row to position the cursor on. If ingres.array_index_start is set to 0, then the first row is 0, else it is 1

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Position the cursor on the 3rd row

`<?php
$result=ingres_query($link, "select * from airport where ap_ccode = 'ES' order by ap_place asc");
/* goto row 3 */
if (!ingres_result_seek($result, 3))
{
echo ingres_errno() . " - " . ingres_error . "\n";
die("i died");
}
else
{
$airport = ingres_fetch_object ($result);
{
echo $airport->ap_iatacode . " - " . $airport->ap_name . "\n";
}
}
ingres_commit($link);
?>`

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_assoc() - Fetch a row of result into an associative array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_query
ingres_rollback
Ingres Functions
PHP Manual